sqsh_2.1.7-4_i386.deb


Advertisement

Description

sqsh - commandline SQL client for MS SQL and Sybase servers

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name sqsh
Package version 2.1.7
Package release 4
Package architecture i386
Package type deb
Installed size 303 B
Download size 131.40 KB
Official Mirror archive.ubuntu.com
sqsh is a flexible commandline utility that uses the freetds libraries
to connect to Sybase or Microsoft SQL servers.  It is a useful debugging
tool for identifying problems with other SQL applications, and it can be
used as a productivity tool in its own right:  unlike most SQL CLIs, sqsh's
interactive shell lets you pipe the output of SQL queries directly to other
Unix commands for further processing.

Alternatives

Package Version Architecture Repository
sqsh_2.1.7-4_amd64.deb 2.1.7 amd64 Ubuntu Universe
sqsh - - -

Requires

Name Value
libc6 >= 2.11
libct4 >= 0.64
libreadline6 >= 6.0
libxm4 >= 2.3.4
libxt6 -

Download

Type URL
Binary Package sqsh_2.1.7-4_i386.deb
Source Package sqsh

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install sqsh deb package:
    # sudo apt-get install sqsh

Files

Path
/usr/bin/sqsh
/usr/share/doc/sqsh/FAQ.gz
/usr/share/doc/sqsh/README
/usr/share/doc/sqsh/changelog.Debian.gz
/usr/share/doc/sqsh/copyright
/usr/share/doc/sqsh/examples/advanced.sqshrc
/usr/share/doc/sqsh/examples/global.sqshrc
/usr/share/doc/sqsh/examples/sample.sqshrc
/usr/share/doc/sqsh/examples/sqshrc
/usr/share/man/man1/sqsh.1.gz

Changelog

2014-03-17 - Steve Langasek <vorlon@debian.org>
sqsh (2.1.7-4) unstable; urgency=high
* src/sqsh_readline.c: update function prototype for compatibility with
current readline.  Closes: #741753.
* src/sqsh_readline.c: fix a latent bug where the wrong function was being
passed to readline as the rl_completion_entry_function...
2013-11-02 - Steve Langasek <vorlon@debian.org>
sqsh (2.1.7-3) unstable; urgency=low
* Transition from lesstif2-dev to libmotif-dev.  Closes: #714666.
2013-02-27 - Steve Langasek <vorlon@debian.org>
sqsh (2.1.7-2) unstable; urgency=low
* Explicitly link to libXt instead of relying on lesstif to provide this.
Thanks to Graham Inggs <graham@nerve.org.za> for the patch. (LP: #1134233)
* Fix up LDFLAGS handling so we get relro hardening.
2011-11-10 - Steve Langasek <vorlon@debian.org>
sqsh (2.1.7-1) unstable; urgency=low
* New upstream release.  Closes: #645277, LP: #783527.
- fixes segfault when specifying password in ~/.sqshrc.  Closes: #194065.
- fixes hang on SIGPIPE from the pager.  Closes: #236374.
- update build rules; we can now use DESTDIR instead of prefix.
- and we can use dh_auto_build without modification
* Bump debhelper compat to 9 for dpkg-buildflags.
* Add Vcs-Bzr, Vcs-Browser headers.
2011-09-04 - Steve Langasek <vorlon@debian.org>
sqsh (2.1-10) unstable; urgency=low
* configure.in, aclocal.m4: nuke the custom 'AC_FIND_LIB' macro and
sybase library filesystem walking from orbit; this does all the wrong
things that AC_CHECK_LIB is designed to avoid, and results in us not
finding freetds now that it's multiarched.  Closes: #639195.
* configure.in, aclocal.m4: call 'test' instead of the non-portable '[[',
just in case.
* aclocal.m4: don't link against extra libraries on Linux that we don't
need.
* Bump to debhelper 7 and dh.
* Bump Standards Version to 3.9.2, no changes needed.
2010-01-20 - Steve Langasek <vorlon@debian.org>
sqsh (2.1-9) unstable; urgency=low
* Build-depend on libreadline-dev instead of libreadline5-dev.
Closes: #553860.
* Build-conflict with tcl-dev, to avoid incorrectly linking against libtcl.
This is not the libtcl you're looking for.
* Add a Homepage: field.
* Bump Standards-Version to 3.8.3, no changes required.
* Bump debhelper compat level to 7, adding ${misc:Depends} and dropping a
few bits from debian/rules that are now redundant (but no dh conversion
yet).
* Don't ignore make clean failures.
* Build-depend on autotools-dev, and pull in an updated config.sub at
build time.  Closes: #536834.
2006-06-18 - Steve Langasek <vorlon@debian.org>
sqsh (2.1-8) unstable; urgency=low
* Rebuild against lesstif2-dev.  Closes: #374238.
2005-07-18 - Steve Langasek <vorlon@debian.org>
sqsh (2.1-7) unstable; urgency=low
* Rebuild against freetds 0.63 and libreadline5.
2004-05-20 - Steve Langasek <vorlon@debian.org>
sqsh (2.1-6) unstable; urgency=low
* Update the upstream url in debian/copyright
* Remove references to libXmu in the configure script, since it's
not used at all by the binary (closes: #249554).
* Since we're now building with a newer autoconf, drop the --host
option again.
2003-04-03 - Steve Langasek <vorlon@debian.org>
sqsh (2.1-5) unstable; urgency=low
* re-add the --host option to configure, since autoconf 2.13 doesn't
work quite right without it; also, grab an updated config.sub script
just in case. (closes: #184302)

See Also

Package Description
squareness_2.3.0-6_all.deb suite of skins for different applications
squeak-plugins-scratch_1.4.0.2~svn.r83-2.1_i386.deb Squeak plugins for the Scratch programming environment
squeak-vm_4.10.2.2614-4_i386.deb Unix Squeak virtual machine
squeezelite-pa_1.8-2_i386.deb lightweight headless Squeezebox emulator - PortAudio version
squeezelite_1.8-2_i386.deb lightweight headless Squeezebox emulator - ALSA version
squid-cgi_3.5.12-1ubuntu7_i386.deb Full featured Web Proxy cache (HTTP proxy) - control CGI
squid-deb-proxy-client_0.8.14_all.deb automatic proxy discovery for APT based on Avahi
squid-deb-proxy_0.8.14_all.deb Squid proxy configuration to optimize package downloads
squid-purge_3.5.12-1ubuntu7_i386.deb Full featured Web Proxy cache (HTTP proxy) - control utility
squidclient_3.5.12-1ubuntu7_i386.deb Full featured Web Proxy cache (HTTP proxy) - control utility
squidguard-doc_1.5-5_all.deb filter and redirector plugin for Squid - Documentation
squidguard_1.5-5_i386.deb filter and redirector plugin for Squid
squidtaild_2.1a6-6_all.deb Squid log monitoring program
squidview_0.81-1build1_i386.deb monitors and analyses squid access.log files
squirrelmail-compatibility_2.0.16-1_all.deb SquirrelMail plugin: Let other plugins work with older/newer SM versions
Advertisement
Advertisement